<template>
  <div class="profile">
    <div class="container">
      <div class="profile-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <img v-if="!owner" src="../assets/images/icons/like.svg" alt="">
        <div @click="showModalSettings" v-if="owner" class="profile-head-owner">
          <span></span>
          <span></span>
          <span></span>
        </div>
      </div>
      <div class="title" style="margin-bottom: 15px">Варианты профилей</div>
      <div style="margin-bottom: 40px">
        <label style="margin-right: 20px">Вариант 1
          <input v-model="selectedOption" value="option_1" name="1" type="radio">
        </label>
        <label style="margin-right: 20px">Вариант 2
          <input v-model="selectedOption" value="option_2" name="1" type="radio">
        </label>
        <label>Вариант 3
          <input v-model="selectedOption" value="option_3" name="1" type="radio">
        </label>
      </div>
      <div v-if="selectedOption === 'option_1'">
        <div class="profile-avatar-wrap">
          <div class="profile-avatar-img">
            <span></span>
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <div class="profile-avatar-name">
            <div class="profile-name title">Jenskii Club</div>
            <div class="profile-type subtitle">Продавец:</div>
            <div class="profile-main-name subtitle">Аристарх Мышеловский</div>
          </div>
        </div>
        <div class="profile-additionally-wrap">
          <div class="profile-additionally">
            <div class="profile-additionally-name">Пост</div>
            <div class="profile-additionally-val">2 000 <span>₽</span></div>
          </div>
          <div class="profile-additionally">
            <div class="profile-additionally-name">Сторис</div>
            <div class="profile-additionally-val">600 <span>₽</span></div>
          </div>
        </div>
        <div class="profile-main-info-wrap">
          <div class="profile-main-info-title title">Основная информация</div>
          <div class="profile-main-info">
            <div class="profile-main-info-about-account">
              <div>
                <p>Тематика</p>
                <p>Женское</p>
              </div>
              <div>
                <p>Родная почта</p>
                <p>Нет</p>
              </div>
              <div>
                <p>Тип аккаунта</p>
                <p>Паблик</p>
              </div>
            </div>
            <div class="profile-main-info-about-account">
              <div>
                <p>Подписчики</p>
                <p>738 019</p>
              </div>
              <div>
                <p>Аудитория</p>
                <p>М67% / Ж33%</p>
              </div>
              <div>
                <p>Охват</p>
                <p>1 260 000</p>
              </div>
              <div>
                <p>Страна</p>
                <p>Россия</p>
              </div>
            </div>
          </div>
          <div class="profile-main-info-description">
            <p class="profile-main-info-description-title title">Описание</p>
            <p>
              Паблик на женскую тематику, с мощным охватом. Живая аудитория, лояльная.
              У  попа была собака он её любил, она съела кусок мяса он её убил.
              Живая аудитория, лояльная. У попа была собака он её любил.
            </p>
          </div>
        </div>
        <div class="profile-salesman">
          <div class="profile-salesman-title">Продавец</div>
        </div>
        <div class="profile-avatar-wrap">
          <div class="profile-avatar-img">
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <div class="profile-avatar-name">
            <div class="profile-name title">Аристарх Мышеловский</div>
            <div class="profile-type">
              <router-link :to="{name: 'account', params: {id: 123}}" style="color: #2B7FE2;">Подробнее</router-link>
              <span>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </span>
            </div>
          </div>
        </div>
        <Button @click.native="showModalMessage" text="Написать продавцу" small />
      </div>
      <div v-if="selectedOption === 'option_2'">
        <div class="profile-avatar-wrap">
          <div class="profile-avatar-name">
            <div class="profile-name title">UI/UX Senior Designer</div>
            <div class="profile-type price">2 000 ₽ <span>в мес</span></div>
            <div class="profile-main-name subtitle">
              <span>Требуемый опыт: от 1 года</span>
              <span>Полная занятость, полный день</span>
            </div>
          </div>
        </div>
        <div class="img-employer-wrap">
          <img src="../assets/images/card/img1.jpg" alt="">
          <div>
            <p>Работодатель</p>
            <p>Green Corp</p>
          </div>
        </div>
        <div class="description-option_2">
          <div class="title">Описание</div>
          <div class="description-text">
            В нашу компанию требуется отличный специалист,
            который умеет все, знает все, готовый ко всему.
          </div>
          <div class="title">Обязанности</div>
          <div class="description-text">
            Искать рекламодателей, партнёров для работы со мной.<br><br>
            Вести таблицу учёта продаж.<br><br>
            Вести контент на 10382 пабликах.<br><br>
            Иногда самостоятельно продавать курсы и рекламу.
          </div>
          <div class="title">Требования</div>
          <div class="description-text">
            Знать 12 языков на уровне носителя, но гугл переводчик тоже пойдёт.<br><br>
            Переключаться между 201651 задачами в час, каждая задача срочнее другой.<br><br>
            Иметь 8 высших образований от Андрея Илиноис.<br><br>
            Быть в работе и на связи 27/9.
          </div>
          <div class="title">Условия</div>
          <div class="description-text">
            График 09:00–18:00<br><br>
            Табуретка в виде хорошего рабочего места, но я его называю просто «табуреткой».<br><br>
            Вкуснейший чай, но без сахара, его нет.<br><br>
            Достойная ЗП, те кто дошли до сюда, скажу что ЗП в долларах, а в графе я указал что в рублях.
          </div>
        </div>
        <Button text="Откликнуться" small />
      </div>
      <div v-if="selectedOption === 'option_3'">
        <div class="profile-avatar-wrap">
          <div class="profile-avatar-img">
            <span></span>
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <div class="profile-avatar-name">
            <div class="profile-name title">Данте Алигьери</div>
            <div class="profile-type subtitle">Должность: охранник</div>
            <div class="profile-main-name subtitle">Желаемая зарплата: 250 000 ₽</div>
          </div>
        </div>
        <div class="profile-main-info-wrap">
          <div class="profile-main-info-title title">Основная информация</div>
          <div class="profile-main-info">
            <div class="profile-main-info-about-account">
              <div>
                <p>Регион</p>
                <p>Лондон, Великобритания</p>
              </div>
              <div>
                <p>Возраст (полных лет)</p>
                <p>38 лет</p>
              </div>
              <div>
                <p>Пол</p>
                <p>Мужской</p>
              </div>
            </div>
          </div>
          <div class="profile-main-info-description">
            <p class="profile-main-info-description-title title">Опыт работы 15 лет</p>
            <div class="profile-main-info-title title">Образование</div>
            <div class="profile-main-info">
              <div class="profile-main-info-about-account">
                <div>
                  <p>Уровень образования</p>
                  <p>Высшее</p>
                </div>
              </div>
            </div>
            <div class="profile-main-info-title title">Желаемый график</div>
            <div class="profile-main-info">
              <div class="profile-main-info-about-account">
                <div>
                  <p>График</p>
                  <p>Сменный</p>
                </div>
                <div>
                  <p>Тип занятости</p>
                  <p>Проектный</p>
                </div>
              </div>
            </div>
            <p class="profile-main-info-description-title title">Описание</p>
            <p>
              Паблик на женскую тематику, с мощным охватом. Живая аудитория, лояльная.
              У  попа была собака он её любил, она съела кусок мяса он её убил.
              Живая аудитория, лояльная. У попа была собака он её любил.
            </p>
          </div>
        </div>
        <Button text="Откликнуться" small />
      </div>
    </div>
    <ModalBottom
      v-show="modalBottom"
      @close="modalBottom = false"
    >
      <template #body>
        <div class="modal-settings-profile-wrap">
          <div class="modal-setting-btn">
            Редактировать
            <img src="../assets/images/icons/edit.svg" alt="">
          </div>
          <div class="modal-setting-btn">
            Продлить
            <img src="../assets/images/icons/extend.svg" alt="">
          </div>
          <div class="modal-setting-btn">
            Удалить
            <img src="../assets/images/icons/urn.svg" alt="">
          </div>
        </div>
      </template>
    </ModalBottom>
    <ModalBottom
      v-show="modalMessage"
      @close="modalMessage = false"
    >
      <template #body>
        <div style="padding: 18px 24px 0 24px" class="profile-avatar-wrap">
          <div class="profile-avatar-img">
            <span></span>
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <div class="profile-avatar-name" style="display: flex; flex-direction: column">
            <div class="profile-name title">Jenskii Club</div>
            <div style="text-align: left; margin-bottom: 17px" class="profile-type subtitle">Контактное лицо</div>
            <router-link :to="{name: 'account', params: {id: 123}}" style="text-align: left;color: #2B7FE2;">Подробнее <img src="../assets/images/icons/next-arrow.svg" alt=""></router-link>
          </div>
        </div>
        <div class="modal-settings-profile-wrap">
          <div class="modal-message-btn">
            <div>
              <p>Телефон:</p>
              <p>+7 (994) 549-36-48</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>Электронная почта:</p>
              <p>do.svyazy@mail.ru</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>VK:</p>
              <p>@do.svyazy</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>Inst:</p>
              <p>@do.svyazy</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>Telegram::</p>
              <p>@do.svyazy</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>Viber:</p>
              <p>+7 (994) 549-36-48</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
          <div class="modal-message-btn">
            <div>
              <p>WhatsApp:</p>
              <p>+7 (994) 549-36-48</p>
            </div>
            <img src="../assets/images/icons/next-arrow.svg" alt="">
          </div>
        </div>
      </template>
    </ModalBottom>
    <SimilarAds/>
  </div>
</template>

<script>
import Button from "../components/Button";
import SimilarAds from "../components/Similar-ads";
import ModalBottom from "../components/Modal-bottom";
export default {
  name: "Profile",
  components: {ModalBottom, SimilarAds, Button},
  data () {
    return {
      modalMessage: false,
      modalBottom: false,
      options: [
        {name: 'Вариант 1', id: 1},
        {name: 'Вариант 1', id: 1},
        {name: 'Вариант 1', id: 1}
      ],
      selectedOption: 'option_1'
    }
  },
  computed: {
    owner () {
      return true
    },
  },
  methods: {
    showModalSettings() {
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.modalBottom) {
        document.body.style.overflow = 'hidden'
        this.modalBottom = true
      }
      // закрыть меню, только если оно отрыто, так же включить скролл body
      else if (document.body.style.overflow === 'hidden' && this.modalBottom) {
        this.modalBottom = false
        document.body.style.overflow = 'visible'
      }
    },
    showModalMessage() {
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.modalMessage) {
        document.body.style.overflow = 'hidden'
        this.modalMessage = true
      }
      // закрыть меню, только если оно отрыто, так же включить скролл body
      else if (document.body.style.overflow === 'hidden' && this.modalMessage) {
        this.modalMessage = false
        document.body.style.overflow = 'visible'
      }
    }
  }
}
</script>

<style scoped lang="scss">
.profile {
  padding-bottom: 80px;
  .container {
    background: #FFFFFF;
    border-radius: 12px;
    box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.1);
    .profile-head {
      display: flex;
      margin-bottom: 30px;
      justify-content: space-between;
      .profile-head-owner {
        width: 26px;
        span {
          display: inline-block;
          width: 5px;
          height: 5px;
          border-radius: 50%;
          overflow: hidden;
          background: #2B7FE2;
          margin-right: 3.5px;
        }
      }
    }
    .img-employer-wrap {
      display: flex;
      align-items: center;
      margin-bottom: 24px;
      img {
        margin-right: 18px;
        width: 64px;
        height: 64px;
        border-radius: 50%;
        overflow: hidden;
      }
      div {
        :first-child {
          font-weight: 400;
          font-size: 14px;
          color: #424242;
          margin-bottom: 5px;
        }
        :last-child {
          font-weight: 700;
          font-size: 18px;
          color: #424242;
        }
      }
    }
    .description-option_2 {
      margin-bottom: 24px;
      color: #424242;
      .title {
        font-weight: 700;
        font-size: 18px;
        line-height: 120%;
        margin-bottom: 8px;
        text-align: left;
      }
      .description-text {
        margin-bottom: 24px;
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
      }
    }
    .profile-additionally-wrap {
      display: flex;
      margin-bottom: 40px;
      .profile-additionally {
        margin-right: 32px;
        display: flex;
        flex-direction: column;
        color: #424242;
        font-weight: 700;
        line-height: 120%;
        .profile-additionally-name {
          font-size: 18px;
          margin-bottom: 6px;
        }
        .profile-additionally-val {
          font-size: 24px;
          span {
            color: #2B7FE2;
          }
        }
      }
    }
    .profile-main-info-wrap {
      line-height: 130%;
      margin-bottom: 24px;
      .profile-main-info-title {
        text-align: left;font-size: 20px;margin-bottom: 16px;
      }
      .profile-main-info {
        font-size: 16px;
        .profile-main-info-about-account {
          display: flex;
          flex-direction: column;
          margin-bottom: 24px;
          div {
            display: flex;
            margin-bottom: 8px;
            p {
              &:first-child {
                margin-right: 8px;
              }
              &:last-child {
                color: #838383;
              }
            }
          }
        }
      }
      .profile-main-info-description {
        .profile-main-info-description-title {text-align: left;font-size: 20px;margin-bottom: 16px;}
      }
    }
    .profile-salesman {
      line-height: 130%;
      .profile-salesman-title {
        margin-bottom: 24px;
        font-weight: 700;
        font-size: 20px;
      }
    }
  }
}

.profile-avatar-wrap {
  display: flex;
  margin-bottom: 24px;
  .profile-avatar-img {
    margin-right: 14px;
    width: 105px;
    img {
      width: 105px;
      border-radius: 50%;
    }
    position: relative;
    span {
      background: linear-gradient(180deg, #CC00AB 0%, #FF7A00 100%);
      border: 1.45833px solid #FFFFFF;
      box-sizing: border-box;
      width: 41px;
      height: 41px;
      border-radius: 50%;
      position: absolute;
      top: 0;
      left: 0;
    }
  }
  .profile-avatar-name {
    .profile-name {
      margin-bottom: 8px;
      text-align: left;
    }
    .profile-type.price {
      font-weight: 700;
      font-size: 20px;
      line-height: 120%;
      color: #424242;
      margin-top: 16px;
      margin-bottom: 24px;
      span {
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
        color: #838383;
      }
    }
    .profile-main-name {
      span {
        font-weight: 400;
        font-size: 16px;
        color: #838383;
      }
    }
  }
}
.modal-settings-profile-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-weight: 700;
  font-size: 16px;
  line-height: 120%;
  .modal-setting-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 72px;
    border-bottom: 0.5px solid #C4C4C4;
    img {
      margin-left: 18px;
    }
    &:first-child {
    }
    &:last-child {
      color: #FF4949;
      border-bottom: none;
    }
  }
  .modal-message-btn {
    display: flex;
    align-items: center;
    width: 100%;
    height: 72px;
    border-bottom: 0.5px solid #C4C4C4;
    justify-content: space-between;
    padding: 24px 18px;
    div {
      display: flex;
      :first-child {
        margin-right: 8px;
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
        color: #424242;
      }
      :last-child {
        font-weight: 400;
        font-size: 16px;
        line-height: 130%;
        color: #838383;
      }
    }
    img {
      width: 24px;
    }
  }
}
</style>
